%define name	nanny
%define version	2.29.4
%define release	%mkrel 4

Summary:        Gnome-Nanny is a parental control system designed for Gnome 
Summary(de):	Gnome-Nanny ist ein elterliches Kontrollsystem für Gnome
Name:           %{name}
Version:        %{version}
Release:        %{release}
License:        GPLv2
Group:          Graphical desktop/GNOME
URL:		http://projects.gnome.org/nanny/
Source0:        http://download.gnome.org/sources/nanny/2.29/%{name}-%{version}.tar.xz
Source1:        %{name}
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gcc gcc-c++
BuildRequires: perl-XML-Parser
BuildRequires: pkgconfig 
BuildRequires: python-devel
BuildRequires: python-imaging
BuildRequires: gnome-doc-utils
BuildRequires: python-twisted
BuildRequires: python-hachoir-regex
BuildRequires: gettext
BuildRequires: pygtk2.0
BuildRequires: pygtk2.0-libglade
BuildRequires: python-dbus
BuildRequires: gnome-python-gtop
BuildRequires: libtool
BuildRequires: intltool
Requires: gnome-python-gtop
Requires: gnome-python-gconf
Requires: pygtk2.0
Requires: python-hachoir-regex
Requires: python-dbus
Requires: python-cairo
Requires: python-notify
Requires: gnome-python-desktop
Requires: python-gobject
Requires: python-twisted
Requires: python-imaging
Requires: pygtk2.0-libglade
Requires: libdbus-glib-1_2
Requires: ndesk-dbus-glib
Requires: python >= 2.6.6
Obsoletes:  %name < %version


%description
Nanny is an easy way to control what your kids are doing in the computer. 
You can limit how much time a day each one of them is browsing the web,
chatting or doing email. You can also decide at which times of the day the 
can do this things. 

#german
%description -l de
Nanny ist eine einfache Weise zu überwachen, was Ihre Kinder am Computer tun. Sie
können einstellen, wie viel Zeit jedes Kind im Web verbringen darf, auch Chatten
oder E-Mail schreiben wird überwacht. Sie können auch entscheiden, zu welchen
Tageszeiten jedes Kind den Rechner nutzen kann.


%prep
%setup -q 


%build
%configure2_5x 

%make

%install
%makeinstall_std

# menu1 
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/nanny-admin-console.desktop <<EOF
[Desktop Entry]
Name=Nanny Parental Control
Comment=Nanny parental control admin console
Exec=gksu -l /usr/sbin/nanny-admin-console
Icon=nanny
Terminal=false
Type=Application
Categories=System;Settings;X-MandrivaLinux-System-Configuration;
StartupNotify=true
Encoding=UTF-8
X-Desktop-File-Install-Version=0.11
EOF

# menu2
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/nanny-blacklist-manager.desktop <<EOF
[Desktop Entry]
Name=Nanny BlackLists
Comment=Nanny parental control blacklists manager
Exec=gksu -l /usr/sbin/nanny-blacklist-manager
Icon=nanny
Terminal=false
Type=Application
Categories=System;Settings;X-MandrivaLinux-System-Configuration;
StartupNotify=true
Encoding=UTF-8
X-Desktop-File-Install-Version=0.11
EOF

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/
install -m 0755 %SOURCE1 $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 644 client/common/icons/48x48/*.png \
$RPM_BUILD_ROOT%{_datadir}/pixmaps/

%find_lang  %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_post_service %{name}


%preun
%_preun_service %{name}



%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS COPYING NEWS ChangeLog
%{_sysconfdir}/rc.d/init.d/%{name}
%{_sysconfdir}/xdg/autostart/%{name}-systray.desktop
%{_sysconfdir}/dbus-1/system.d/%{name}-daemon.conf
%{_sysconfdir}/%{name}/applists/browsers
%{_sysconfdir}/%{name}/applists/email
%{_sysconfdir}/%{name}/applists/im
%{_sbindir}/*
%{py_sitedir}/%{name}
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/gnome/help
%{_datadir}/%{name}
%{_datadir}/omf/nanny/*.omf
%{_datadir}/polkit-1/actions/org.gnome.nanny.policy

%changelog
* Sat Jan 08 2011 Texstar <texstar at gmail.com> 2.29.4-4pclos2011
- fix init script

* Thu Jan 06 2011 Texstar <texstar at gmail.com> 2.29.4-3pclos2010
- add gnome-python-gtop BR
- add proper init script

* Mon Jan 03 2011 Pinoc <vogtpet at gmail.com> 2.29.4-2pclos2010
- added python-notify dependencies
- fixed desktop-files for KDE-DE

* Sat Sep 11 2010 Texstar <texstar at gmail.com> 2.29.4-1pclos2010
- 2.29.4

* Sun Feb 21 2010 slick50 <lxgator@gmail.com> 2.29.3-1pclos2010
- 2.29.3

* Thu Dec 24 2009 slick50 <lxgator@gmail.com> 2.29.1-1pclos2010
- initial pkg
